%define webappdir %webserver_webappsdir/mediawiki

Summary: A wiki engine
Name: mediawiki
Version: 1.13.0
Release: alt1
License: %gpl2plus
Group: Networking/WWW
Url: http://www.mediawiki.org/

Packager: Aleksey Avdeev <solo@altlinux.ru>

Source0: http://download.wikimedia.org/mediawiki/1.13/%name-%version.tar.gz
Source10: mediawiki-apache2-alt-configs-0.1.tar
Source11: mediawiki-fedora-docs-0.1.tar
Patch0: mediawiki-1.13.0-commoncode.patch

BuildRequires(pre): webserver-common
BuildPreReq: rpm-build-licenses
BuildPreReq: apache2-devel

# Automatically added by buildreq on Tue Jun 03 2008 (-ba)
BuildRequires: ocaml perl-DBI

BuildRequires: ocaml >= 3.06

# to make sure the "%webserver_group" group is created before mediawiki is installed
PreReq: webserver-common
Requires: php-engine >= 5
Requires: php5-mysql, php5-pgsql
Requires: php5-gd2
Requires: diffutils, ImageMagick
Requires: tetex-latex, tetex-dvips
Requires: apache2-configs-dirs2 >= 2.2.0
Requires: apache2-config-tools >= 0.1.1

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package supports wiki farms. Copy %webappdir over to the
desired wiki location and configure it through the web
interface. Remember to remove the config dir after completing the
configuration.

%prep
%setup -q
%patch0 -p1 -b .commoncode

%build
cd math
make

%install
mkdir -p Fedora
pushd Fedora
tar xvSf %SOURCE11
popd

mkdir -p %buildroot%_datadir/mediawiki
cp -a * %buildroot%_datadir/mediawiki/

# remove undeeded parts
rm -fr %buildroot%_datadir/mediawiki/{t,test}
rm -fr %buildroot%_datadir/mediawiki/includes/zhtable
find %buildroot%_datadir/mediawiki/ \
  \( -name .htaccess -or -name \*.cmi \) \
  -print0 \
  | xargs -r0 rm

# fix permissions
chmod +x %buildroot%_datadir/mediawiki/bin/*
find %buildroot%_datadir/mediawiki -name \*.pl -print0 | xargs -r0 chmod +x

# move arch dependent parts
if test ! -d %buildroot%_libdir/mediawiki/math; then
  mkdir -p %buildroot%_libdir/mediawiki
  mv %buildroot%_datadir/mediawiki/math \
%buildroot%_libdir/mediawiki/
fi

find %buildroot -name .svnignore -print0 | xargs -r0 rm
find %buildroot -name \*.commoncode -print0 | xargs -r0 rm

mkdir -p %buildroot%webappdir
cd %buildroot%webappdir/
mkdir images
cp -a %buildroot%_datadir/mediawiki/config .
ln -s %_datadir/mediawiki/index.php index.php

mkdir -p %buildroot%apache2_confdir
pushd %buildroot%apache2_confdir
tar xvSf %SOURCE10
popd

%post
%_sbindir/a2chkconfig >/dev/null
%post_service %apache2_dname
exit 0

%postun
%_sbindir/a2chkconfig >/dev/null
%post_service %apache2_dname
exit 0

%files
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc Fedora
%_datadir/mediawiki
%dir %_datadir/mediawiki/config
%_datadir/mediawiki/config
%_libdir/mediawiki
%webappdir
%dir %webappdir/config
%webappdir/config/*

%config(noreplace) %apache2_mods_start/*.conf
%config(noreplace) %apache2_extra_available/*.conf

%changelog
* Sat Aug 30 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt1
- Update to 1.13.0.

* Tue Jun 03 2008 Aleksey Avdeev <solo@altlinux.ru> 1.10.4-alt1
- First build for ALT.

